> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Incidents

> Use this API to get the list of incidents on banks(Resolved,Unresolved,All) for a given time range.

Please use this Authorization token in headers to call any payout API (Refresh this page if the token is expired)

<iframe src="https://www.cashfree.com/devstudio/preview/payouts/embed/bearerToken" width="600" />

<Accordion title="Click to view the response codes.">
  | Status   | Sub code | Message                                                                                                                       |   |
  | -------- | -------- | ----------------------------------------------------------------------------------------------------------------------------- | - |
  | SUCCESS  | 200      | List of incidents retrieved                                                                                                   |   |
  | ERROR    | 403      | Token is not valid                                                                                                            |   |
  | ERROR    | 403      | IP Not Whitelisted                                                                                                            |   |
  | ERROR    | 403      | APIs not enabled. Please fill out the [Support Form](https://merchant.cashfree.com/merchants/landing?env=prod\&raise_issue=1) |   |
  | ERROR    | 412      | Token missing in the request                                                                                                  |   |
  | ERROR    | 422      | Status is invalid                                                                                                             |   |
  | ERROR    | 422      | startTime should be less than or equal to EndTime.                                                                            |   |
  | ERROR    | 422      | Maximum time difference can be up to 7 days and startTime should be within 90 days from now.                                  |   |
  | ERROR    | 422      | startTime should be of the format yyyy-mm-dd                                                                                  |   |
  | hh:mm:ss |          |                                                                                                                               |   |
  | ERROR    | 422      | endTime should be of the format yyyy-mm-dd                                                                                    |   |
  | hh:mm:ss |          |                                                                                                                               |   |
  | ERROR    | 520      | Unknown error occurred!                                                                                                       |   |
</Accordion>


## OpenAPI

````yaml get /payout/v1/incidents
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/incidents:
    get:
      summary: Get Incidents
      description: >-
        Use this API to get the list of incidents on
        banks(Resolved,Unresolved,All) for a given time range.
      operationId: get-incident
      parameters:
        - name: status
          in: query
          description: >-
            Incident status - RESOLVED/UNRESOLVED/ALL are the allowed values
            Default value is UNRESOLVED if not provided
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: startTime string
          in: query
          description: Start Time for the desired period. Format yyyy-mm-dd hh:mm:ss
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: endTime string
          in: query
          description: >-
            End Time for the desired period. Format yyyy-mm-dd hh:mm:ss. Default
            values are current day start Time(00:00:00) and end Time(23:59:59)
            if not provided.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: entityCode string
          in: query
          description: Code for the entity(BANK) on which the incidents are created.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_14'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_422_6'
      deprecated: false
      security: []
components:
  schemas:
    inline_response_200_14:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: List of incidents retrieved
        data:
          $ref: '#/components/schemas/inline_response_200_14_data'
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_422_6:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '422'
        message:
          type: string
          example: startTime should be less than or equal to EndTime
    inline_response_200_14_data:
      type: object
      properties:
        incidents:
          type: array
          items:
            $ref: '#/components/schemas/inline_response_200_14_data_incidents'
    inline_response_200_14_data_incidents:
      type: object
      properties:
        id:
          type: integer
          example: 214711
          default: 0
        type:
          type: string
          example: BENEFICIARY
        entity:
          type: string
          example: BANK
        mode:
          type: string
          example: IMPS
        createdAt:
          type: string
          example: '2022-01-05T00:48:54.000Z'
        resolvedAt:
          type: string
          example: '2022-01-05T00:53:24.000Z'
        isScheduled:
          type: boolean
          example: false
          default: true
        isResolved:
          type: boolean
          example: true
          default: true
        impact:
          type: string
          example: LOW
        entityName:
          type: string
          example: City union bank
        entityCode:
          type: string
          example: CIUB

````